const mime = require('mime-types');

const extraTypes = {
	"text/plain": [
		"sps", "SPS",
		"p1", "P1",
		"p190", "P190",
		"p111", "P111",
		"p2", "P2",
		"p294", "P294",
		"p211", "P211",
		"hdr", "HDR"
	]
};

for (let [mimeType, extensions] of Object.entries(extraTypes)) {
	for (let extension of extensions) {
		mime.types[extension] = mimeType;
	}
}

module.exports = mime;
